Use this API to assign a privilege to one or more roles.
This is a useful way to bulk assign privileges to many users.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
POST https://<subdomain>.onelogin.com/api/1/privileges/:id/rolesHeader Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API with the |
Content-Type required string | Set to application/json. |
Resource Parameter
id required string | Set to the |
Request Parameters
roles required array | Array of role_ids to which the privilege will be assigned |
Sample Request Body
Add the following roles to the privilege.{
"roles": [123, 456, 789]
}Sample Response
- 201 Created
- 400 Bad Request
- 401 Unauthorized
{
"success": true
}Check request body and content-type is set to application/json.
{
"statusCode": 400,
"name": "BadRequestError",
"message": "The request could not be understood by the server due to malformed syntax"
}Typically, this error indicates an invalid access token.
{
"statusCode": 401,
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}Sample Code
cURL
curl 'https://<subdomain>.onelogin.com/api/1/privileges/<privilege_id>/roles' \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <access_token>" \
-d '{
"roles": [123, 456, 789]
}'Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.